# Indexer Webhooks

When you create an event indexer under a project, you can provide an optional Webhook Location:&#x20;

![](/files/q8xVwUslhHtNiQncnSNP)

If this property is set, the indexer will make a POST request to the specified URL with all matching events that occur on chain after the indexer was created with the following request body:

```
{
  "id": <event id, string hash>,
  "graffleProjectId": <your project id, guid>,
  "graffleCompanyId": <your company id, guid>,
  "flowEventId": <event id on flow chain, ex: A.921ea449dffec68a.FlovatarMarketplace.FlovatarComponentForSale>,
  "graffleEventToken": <token representing this indexer, guid>,
  "blockHeight": <block height on flow chain that event occurred at>,
  "eventDate": <DateTimeOffset of when the event occurred>,
  "createdAt": <DateTimeOffset of when the event was recorded>,
  "blockEventData": {
    <object representing the event data on chain>
  },
  "webHook": <your webhook url>,
  "flowTransactionId": <transaction id on flow chain>
  "transactionIndex": <zero-based index of the transaction within the block>
  "eventIndex": <zero-based index of the event within the transaction>
  "collectionId": <currently unused>
  "graffleWebHookDataId": <internal graffle id>
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.graffle.io/graffle-docs/graffle-management-dashboard/projects/project-indexers/indexer-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
